| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ivideo/graph2d.h File Reference

2D graphics interface More...

`#include "csutil/scf.h"`
`#include "csgfx/rgbpixel.h"`
`#include "ivideo/cursor.h"`

Go to the source code of this file.

## Classes
struct | csImageArea
| This structure is used for saving/restoring areas of screen. More...
struct | csPixelCoord
| Simple 2D pixel coordinate. More...
struct | csPixelFormat
| Structure describing the pixel format. More...
struct | iGraphics2D
| This is the interface for 2D renderer. More...
struct | iOffscreenCanvasCallback
| When you create an offscreen canvas (CreateOffscreenCanvas()) then you can use this callback to get informed when the texture has been modified (FinishDraw() called) or a palette entry is modified. More...
## Enumerations
enum | { CS_WRITE_BASELINE = (1 << 0), CS_WRITE_NOANTIALIAS = (1 << 1) }
| iGraphics2D::Write() flags. More...

## Detailed Description

2D graphics interface

Definition in file graph2d.h.